<?php

namespace Drupal\config_enforce_devel\FormHandler;

use Drupal\config_enforce\FormHandler\AbstractConfigEnforceFormHandler;

/**
 * Attach Config Enforce Devel behaviour to config forms.
 */
class ConfigEnforceDevelFormHandler extends AbstractConfigEnforceFormHandler {

  /**
   * Method to call from implementations of hook_alter().
   */
  public function alter() {
    // Only operate on config forms.
    if (!$this->isAnEnforceableForm()) return;

    $this->addEnforceForm('Drupal\config_enforce_devel\Form\ConfigEnforceDevelEmbeddedForm');
  }

}
